/* override c7 styles */
body {
	--c7-field-border-radius: 30px; 
	--c7-button-border-radius: 30px; 
	--c7-primary-button-bg: transparent;
	--c7-primary-button-bg-hover: #C99B64;
	--c7-primary-button-text-color: #000;
	--c7-heading-font-family: "Gambarino", Sans-serif;
	--c7-heading-font-weight: 400;
	--c7-font-family: sans-serif;
	--c7-body-text-color: #5B5B5B;
	--c7-link-color:#5B5B5B;
	--c7-field-option-selected-color: #C99B64;
	--c7-field-option-focus-color: #C99B64;
}

/* account header */
#account-header {
	display: inline-flex;
	width: 100%;
	justify-content: end;
}

/* Squarespace */
/* in staging mode 
#account-header {
display: inline-flex;
width: 100%;
justify-content: end;
} */
/* position absolute option
#account-header {
display: inline-flex;
position: absolute;
top: 10px;
right: 10px;
z-index: 999;
}
*/

body.ehf-header #masthead {
	z-index: 999;
}

#account-header #c7-account {
	padding-right: 10px;
	display:inline-block;
}
#account-header #c7-cart .c7-user-nav__cart {
	display:flex;
}
#account-header > #c7-cart {
	display:inline-flex;
	position: relative;
	bottom: 2px;
}
#c7-account, #c7-cart {
	display:inline-block;
	margin-left: 5px;

}
#c7-account .c7-user-nav__account a {
	padding: 0px;
	font-size: 16px;
	line-height: 1.25;
	font-weight: 600;
	color: #000;
}
#c7-account .c7-user-nav__account__dropdown a {
	color: var(--c7-body-text-color);
}
#c7-cart .c7-user-nav__cart .c7-link:first-child {
	background-color: transparent;
	border:none;
} 
body .c7-reservation-widget .c7-date-picker-dropdown button {
	padding: 0px;
}
#c7-cart .c7-user-nav__cart .c7-user-nav__cart__title svg {
	stroke:#000;
}
#c7-cart .c7-user-nav__cart__count {
	background-color: #000;
}
#c7-cart .c7-user-nav__cart button.c7-link {
	padding: 0px !important;
}
#c7-cart .c7-order-item__description {
	margin-top: 10px;
	font-size: 10px;
}

body .c7-side-cart__header h1.c7-h1 {
	font-size: 32px;
}
/* Overall styling */

/* button styles */
body .c7-btn {
	border: 1px solid #C99B64;
	color: #000!important;
	background-color: transparent!important;
	font-size: 14px;
	font-weight: 600;
	line-height: 1.2857142857;
	border-radius: 30px;
	text-transform: capitalize;
	position: relative;
	overflow: clip;
	transition: all ease 0.3s;
	z-index: 1;
}
body .c7-btn:hover, 
body .c7-cart__buttons .c7-btn:hover {
	color: #fff!important;
}
body .c7-btn::before, 
body .c7-cart__buttons .c7-btn::before {
	content: "";
	position: absolute;
	width: 100%;
	min-width: 300px;
	height: 300px;
	top: 0;
	bottom: 0;
	left: 50%;
	background: var(--primary);
	border-radius: 50%;
	opacity: 0;
	margin: auto;
	transform: translateX(-50%) scale(0);
	transition: all ease-in-out 0.4s;
	z-index: -1;
}
body .c7-btn:hover::before, 
body .c7-cart__buttons .c7-btn:hover::before {
	opacity: 1;
	transform: translateX(-50%) scale(1);
}

body .c7-order-item__quantity select {
	padding-right: 20px;
	width: 65px !important;
}

/* headings */
body h1.c7-h1 {
	text-align: center;
	font-size: 54px;
	line-height: 1.1em;
}
body .c7-product-detail .c7-product__details .c7-product__title {
	font-size: 54px;
	line-height: 1.1em;
}
body .c7-order-item__title {
	font-family: var(--c7-heading-font-family);
}

/* slide out cart */
body .c7-side-cart__header button {
	background-color: transparent;
	color:#000;
}
/* shrink checkout buttons */
body .c7-order-summary__buttons a {
	line-height: 1;
	display: flex;
	justify-content: center;
	align-items: center;
}


/* make link buttons look like links */
body button.c7-link {
	background-color:transparent;
	border: 0px;
	color: var(--c7-body-text-color);
}
body button.c7-link:hover {
	opacity: 0.6;
}


/* dashboard tweaks */
.c7-account__dashboard__message {
	margin-bottom: 20px;
}
.c7-account-row {
	max-width: 100% !important;
	justify-content: space-between !important;
}
body .c7-account-login__password-options {

}
body .c7-account-login__options {

}

/* cart styling */
.cart-row h1 {
	display:none;
}
.c7-cart__wrapper, .c7-account__dashboard {
	max-width: 100% !important;
	margin:0px auto !important;
	justify-content: space-between !important;
}

/* fix lightboxes that go behind sticky header */
/* body .c7-modal-container {
top: 14%;
} */



/* hide club cancelation 
.c7-account-club .c7-account-blocks--status .c7-account-block__actions {
display:none !important;
}
.c7-callout--club .c7-callout__details li:nth-child(2), .c7-callout--club .c7-callout__details li:nth-child(3) {
display:none !important;
}*/

/* hide club skip
.c7-account-club__shipment__footer .c7-btn--skip {
display:none !important;
}*/


/* hide delete account 
.c7-account-details .c7-account-details__delete-account {
display:none !important;
}*/

/* hide reservations 
.c7-account__menu li:nth-child(4) {
display:none;
}
.c7-account-dashboard__left-column .c7-account-block:nth-child(3) {
display:none;
}
.c7-user-nav__account__dropdown__header ul li:nth-child(4) {
display:none;
}
*/

/* collection styling */
.c7-product-collection .c7-product {
	display:block !important;
	text-align: center !important;
}
.c7-product-collection__product-list {
	grid-template-columns: 1fr 1fr 1fr !important;
}
.c7-product-collection .c7-product img {
	width: auto;
	object-fit:cover;
}
body .c7-product-collection .c7-product-collection__products .c7-product__image {
	display: flex;
	justify-content: center;
}

/* fix default right margin on image grid */
.c7-product-collection .c7-product__image {
	margin-right: 0px;
}
.c7-product-collection .c7-product .c7-product__add-to-cart__form {
	justify-content: center !important;
	align-items: center !important;
}

/* calendar styling ADA fix */
.c7-reservation-widget .c7-date-picker-input button {
	background-color: transparent !important;
	border-radius: 0px !important;
}
.c7-reservation-widget .c7-date-picker-dropdown button {
	color:inherit;
	background-color: inherit;
}
.page-id-4457 #content {
	position: relative;
	z-index: 1;
}
.c7-date-picker-dropdown table td, 
.c7-date-picker-dropdown table th {
	padding: 0;
}


/* mobile overrides */
@media screen and (max-width: 1200px){
	#c7-account .c7-user-nav__account a {
		font-size: 15px;
	}
}
@media screen and (max-width: 1024px){
	/* two column on tablet */ 
	.c7-product-collection__product-list {
		grid-template-columns: 1fr 1fr !important;
	} 
	body .c7-product-detail .c7-product__details .c7-product__title,
	body h1.c7-h1 {
		font-size: 42px;
	}	
}

@media screen and (max-width: 767px){

	/* mobile header position */
	#account-header {
		top: 0px;
	}

	/* one column on mobile */
	.c7-product-collection__product-list {
		grid-template-columns: 1fr !important;
	} 

	.c7-product-specs {
		text-align: left !important;
		margin: 0px !important;
	}
	.c7-product-specs h2 {
		text-align: left !important;
	}
	body .c7-product-detail .c7-product__details .c7-product__title,
	body h1.c7-h1 {
		font-size: 36px;
	}
	#c7-collection-list {
		text-align: center;
	}
}